Subject: Re: bug#67505: [PATCH] build/go: Don't use set!

From: Efraim Flashner <[email-masked]>
Date: Wed, 6 Dec 2023 14:27:20 +0200

On Mon, Dec 04, 2023 at 11:53:58AM +0200, Efraim Flashner wrote:
> On Sun, Dec 03, 2023 at 11:49:03PM +0100, Ludovic Courtès wrote:
> > Efraim Flashner <[email-masked]> skribis:
> > 
> > > This causes build failures on powerpc-linux.
> > >
> > > * guix/build/go-build-system.scm (unpack): When the unpack-path is unset
> > > use the import-path but don't redefine the unpack-path.
> > >
> > > Change-Id: I2b5a36eb738abb14307941d388038139dbaf2bdf
> > 
> > [...]
> > 
> > > -  (when (string-null? unpack-path)
> > > -    (set! unpack-path import-path))
> > > -  (let ((dest (string-append (getenv "GOPATH") "/src/" unpack-path)))
> > > +  (let ((dest (string-append (getenv "GOPATH") "/src/"
> > > +                             (if (string-null? unpack-path)
> > > +                               import-path
> > > +                               unpack-path))))
> > 
> > Could you adjust indentation of the ‘if’ arms?
> > 
> > Otherwise LGTM, thanks!
> 
> Done. Patch pushed!

Patch re-opened. I reverted it since it caused ~4800 package builds on
Berlin.  I'll probably carry it locally for now (I'm almost certainly
the only one affected) and we can apply it another time something
touches go.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted